function [subtracting subtracting2]=readSubtracting(gcns);
 %% Decode the utilisation file.
 % The first digit of anumber represents its rate penalising factor. So a 1
 % is 1/1 whilst a 3 is 1/3 (one third, for wobble interactions.
 % THe second two digits represent the tRNA species used to encode that
 % particular codon.
 
in=csvread('utilisation.csv');
subtracting=zeros(64,4);
for i=1:size(in,1)
    ind=1;
    if gcns(i)>0
        codon_used=mod(in(i,ind),100);
        subtracting(i,ind)=codon_used;
        subtracting(i,ind+1)=1/floor(in(i,ind)/100);
        ind=ind+1;
    end
    if in(i,2)>0
        codon_used=mod(in(i,2),100);
        if gcns(codon_used)>0
            subtracting(i,2*ind-1)=codon_used;
            subtracting(i,2*ind)=1/floor(in(i,2)/100);
        end
    end
        
    
    
    
end
subtracting2=subtracting;
for i=1:64
    sel=subtracting(i,[2 4]);
    if sum(sel>0)==2
    s1=sum(sel);
    subtracting(i,[2 4])=subtracting(i,[2 4])/s1;
    end
end

r=subtracting2(:,3);
r(r==0)=1;
subtracting2(:,3)=r;
r=subtracting(:,3);
r(r==0)=1;
subtracting(:,3)=r;

r=subtracting2(:,1);
r(r==0)=1;
subtracting2(:,1)=r;
r=subtracting(:,1);
r(r==0)=1;
subtracting(:,1)=r;

dsa=2;
end
