function [sequence_amino,sequence_codon]=decode_sequence(sequence,codon_names,codon_ids);
%% Sequence reads the genetic code given and outputs it in terms of amino acids and codons.
len=length(sequence)/3;
if len~=round(len);
   error('Bad sequence, not multiple of 3 base pairs')
end

sequence_amino=zeros(1,len);
sequence_codon=zeros(1,len);
for i=1:len;
    codon_pt=sequence(3*i-2:3*i);
    loc=find(strncmp(codon_names,codon_pt,3));
    try
    sequence_codon(i)=loc;
    catch me
        ds=1
    end
    sequence_amino(i)=codon_ids(loc,2);
end

end